PETSc version 3.15.5
Fix/Edit manual page

# PetscLogEventSetError

Set the nth error associated with this event

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventSetError(PetscLogEvent event, PetscInt n, PetscLogDouble error)

Not Collective

### Input Parameters

| event | - The event id to log
| n | - The error index, in [0, 8)
| error | - The error

### Database Options

| -log_view | - Activates log summary

Note: This is to enable logging of convergence, and enable users to interpret the errors as they wish. For example, as different norms, or as errors for different fields

### See Also

PetscLogEventSetDof(), PetscEventRegLogRegister(), PetscStageLogGetEventLog()

### Level

developer

### Location

src/sys/logging/utils/eventlog.c

### Examples

src/snes/tutorials/ex5.c.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages